
Figure - Bug #118396
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】【偶现】连接蓝牙耳机后无声音
2023-05-31 17:25 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-31

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】：

副屏0106

【操作步骤】

1、副屏连接蓝牙耳机、音箱

【预期结果】

1、声音从耳机或者音箱输出

【实际结果】

1、连接蓝牙耳机后无声音

History

#1 - 2023-06-01 11:33 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

HI ALL

当前分析：

从日志来看，当前是有音频播放，但是没有开启设备和通路，所以导致没有声音输出。

55947:05-31 16:56:52.793  1519  4725 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM:

event=2(PLAYER_STATE_STARTED)apc =AudioPlaybackConfiguration piid:135 deviceId:94 type:android.media.MediaPlayer u/pid:10081/27240 state:paused

attr:AudioAttributes: usage=USAGE_MEDIA content=CONTENT_TYPE_MUSIC flags=0x800 tags= bundle=null sessionId:0

下一步：

和正常对比，查看为什么没有开启设备。

#2 - 2023-06-03 11:43 - Multimedia组-RD3_TSCD 梁卿山
HI ALL

当前分析：

根据对比正常和异常的日志，发现在异常时，a2dp的资源未准备，导致没有切换设备。

06-03 11:27:37.470  1032  1297 V APM_AudioPolicyManager: setOutputDevices: suppressing checkDeviceMuteStrategies

06-03 11:27:37.470  1032  1297 V APM_AudioPolicyManager: setOutputDevices changing device to {type:0x80,@:SUPPRESSED}

06-03 11:27:37.513   818  2914 D audio_hw_primary: adev_create_audio_patch: enter: num sources 1, num_sinks 1, handle 6

06-03 11:27:37.513   818  2914 D audio_hw_primary: adev_create_audio_patch: Playback patch from mix handle 29 to device 80

06-03 11:27:37.514   818  2914 D audio_hw_primary: update_patch: enter

06-03 11:27:37.514   818  2914 D audio_hw_primary: route_output_stream: enter: usecase(0: deep-buffer-playback) devices 80

05-31 16:56:52.889   807 28192 D audio_hw_primary: adev_create_audio_patch: enter: num sources 1, num_sinks 1, handle 0

05-31 16:56:52.889   807 28192 D audio_hw_primary: adev_create_audio_patch: Playback patch from mix handle 29 to device 80

05-31 16:56:52.889   807 28192 D audio_hw_primary: update_patch: enter

05-31 16:56:52.889   807 28192 D audio_hw_primary: route_output_stream: enter: usecase(0: deep-buffer-playback) devices 80

05-31 16:56:52.889   807 28192 E audio_hw_primary: route_output_stream: A2DP profile is not ready,ignoring routing request ★★★ A2DP配置文件没有准备

好，忽略了路由请求

05-31 16:56:52.889   807 28192 D audio_hw_primary: adev_create_audio_patch: Added a new patch with handle 9

05-31 16:56:52.899   807  5969 D audio_hw_primary: out_standby: enter: stream (0xe4d8a7e0) usecase(0: deep-buffer-playback)

05-31 16:56:52.900   807  5969 D audio_hw_primary: out_standby: exit

下一步：

查看该问题是否是蓝牙导致。

#3 - 2023-06-06 15:32 - 短距组_SSRDCNJ 蒋俊杰

05-31 16:56:52.841 31484 31550 E HeadsetStateMachine: returning mCurrentState as AudioOn

05-31 16:56:52.841 31484 31550 D HeadsetService:  isAudioOn: The number of audio connected devices 1

05-31 16:56:52.841 31484 31550 D HeadsetService: isScoOrCallActive(): Call Active:trueCall is Ringing:trueSCO is Active:true

05-31 16:56:52.841 31484 31550 E HeadsetStateMachine: returning mCurrentState as AudioOn

05-31 16:56:52.841 31484 31550 D HeadsetService:  isAudioOn: The number of audio connected devices 1

05-31 16:56:52.841 31484 31550 D HeadsetService: isScoOrCallActive(): Call Active:trueCall is Ringing:trueSCO is Active:true

05-31 16:56:52.889   807 28192 E audio_hw_primary: route_output_stream: A2DP profile is not ready,ignoring routing request

05-31 16:56:52.905 31484 31550 W Avrcp_ext: isMusicActive: true getBluetoothPlayState: 1 A2dp State: 11 mAudioPlaybackIsActive: true

05-31 16:56:52.916 31484 31550 D HeadsetService: getHeadsetService(): returning com.android.bluetooth.hfp.HeadsetService@b7e599a

05-31 16:56:52.916 31484 31550 E HeadsetStateMachine: returning mCurrentState as AudioOn

05-31 16:56:52.916 31484 31550 D HeadsetService:  isAudioOn: The number of audio connected devices 1

05-31 16:56:52.916 31484 31550 D HeadsetService: isScoOrCallActive(): Call Active:trueCall is Ringing:trueSCO is Active:true

05-31 16:56:52.916 31484 31550 E HeadsetStateMachine: returning mCurrentState as AudioOn

【结论】：当时处于audio on的状态，所以a2dp无法使用。查找日志，未找到蓝牙startBluetoothSco的日志信息。

【下一步计划】：audio分析audio on原因

#4 - 2023-06-13 11:04 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

Hi 永红
该问题经过分析，怀疑是应用通话时，调用startBluetoothSco启动了蓝牙耳机后，

没有调用stopBluetoothSco，导致蓝牙处于audio on的状态，导致后续播放音乐无法打开蓝牙设备。

下一步：

尝试复现，获取到第一次发生问题时的日志，需要查看通话结束是否调用了stopBluetoothSco。

#5 - 2023-08-24 16:43 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维

#6 - 2023-09-11 16:33 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

已在下列版本中验证通过

01.00.0138

01.00.0140

01.00.0142

#7 - 2023-09-11 16:33 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#8 - 2023-09-11 16:33 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

1656.txt 6.47 MB 2023-05-31 CD TEST-方永红

tlog_647bd251_000061_0529174819.tar.gz 4.78 MB 2023-05-31 CD TEST-方永红
